Subject: [BK PATCH] USB changes for 2.5.5
From: Greg KH <[email-masked]>
To: [email-masked]
Cc: [email-masked]

Pull from:  bk://linuxusb.bkbits.net/linus-2.5

 drivers/usb/hcd/Config.help |    1 
 drivers/usb/hub.c           |   53 
 drivers/usb/ov511.c         | 2762 +++++++++++++++++++++-----------------------
 drivers/usb/ov511.h         |  229 +--
 drivers/usb/uhci.c          |  227 ++-
 drivers/usb/uhci.h          |   60 
 drivers/usb/usb-ohci.c      |   13 
 drivers/usb/usb-uhci.c      |   10 
 drivers/usb/vicam.c         |    2 
 9 files changed, 1738 insertions(+), 1619 deletions(-)

[email-masked], 2002-02-20 16:27:37-08:00, [email-masked]
  usb ov511 driver:
  	- update to version 1.49
  	  (with a bit of merge foo from greg)

 drivers/usb/ov511.c | 2762 +++++++++++++++++++++++++---------------------------
 drivers/usb/ov511.h |  229 ++--
 2 files changed, 1466 insertions(+), 1525 deletions(-)

[email-masked], 2002-02-20 16:12:36-08:00, [email-masked]
  usb vicam driver:
  	- compile time fixes

 drivers/usb/vicam.c |    2 ++
 1 files changed, 2 insertions(+)

[email-masked], 2002-02-20 16:11:57-08:00, [email-masked]
  usb config.help:
  	- removed an unneeded header.  Thanks to Jeff Garzik for pointing this out.

 drivers/usb/hcd/Config.help |    1 -
 1 files changed, 1 deletion(-)

[email-masked], 2002-02-20 16:00:37-08:00, [email-masked]
  uhci.c didn't work well with USB storage. It would tend to stall
  relatively quickly and sometimes locked up the system. It usually only
  took me a couple of tries ripping a CD to reproduce the problem.
  
  I took a long hard look at the locking in uhci.c and decided to clean
  it up, fixing a couple of bugs along the way as well as documenting the
  locking strategy.
  
  With this patch applies, where I could only rip a CD a couple of times
  before causing problems, I was able to rip a CD 12,000 times in a row
  successfully, before I stopped it. Not a single error :)

 drivers/usb/uhci.c |  156 ++++++++++++++++++++++++++++++++++-------------------
 drivers/usb/uhci.h |   60 +++++++++++++++-----
 2 files changed, 146 insertions(+), 70 deletions(-)

[email-masked], 2002-02-20 15:59:27-08:00, [email-masked]
  [PATCH] uhci.c, fix pci dma ordering issue
  
  There was a bug where we unmap the PCI DMA mapping and then sync the
  data afterwards. This reverses the ordering as well as insures we don't
  unmap the region more than once.

 drivers/usb/uhci.c |   24 ++++++++++++++----------
 1 files changed, 14 insertions(+), 10 deletions(-)

[email-masked], 2002-02-20 15:58:24-08:00, [email-masked]
  [PATCH] uhci.c, interrupt unlink in completion
  
  This patch fixes a bug where an interrupt URB is unlinked in the drivers
  completion handler and we'll try to resubmit it anyway.

 drivers/usb/uhci.c |   15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)

[email-masked], 2002-02-20 15:56:59-08:00, [email-masked]
  [PATCH] uhci.c, one more toggle fix
   
  This patch fixes another toggle bug and reverts the previous bogus
  patch which caused compile warnings.
  
  It also adds a quick comment explaining the criteria.
  
  JE

 drivers/usb/uhci.c |   29 +++++++++++++++++++++++------
 1 files changed, 23 insertions(+), 6 deletions(-)

[email-masked], 2002-02-20 15:54:14-08:00, [email-masked]
  usb hub:
  	- fix problem with us not delaying for any ammount of time after a new device
  	  has been powered up, as the USB spec indicates should happen.

 drivers/usb/hub.c |   53 ++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 50 insertions(+), 3 deletions(-)

[email-masked], 2002-02-20 15:49:58-08:00, [email-masked]
  usb usb-uhci.c:
  	- added usb_put_urb() and usb_get_urb() logic.

 drivers/usb/usb-uhci.c |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletion(-)

[email-masked], 2002-02-20 15:49:24-08:00, [email-masked]
  usb usb-ohci.c:
  	- added usb_put_urb() and usb_get_urb() logic

 drivers/usb/usb-ohci.c |   13 +++++++++++++
 1 files changed, 13 insertions(+)

[email-masked], 2002-02-20 15:48:47-08:00, [email-masked]
  usb uhci.c:
  	- added usb_get_urb() and usb_put_urb() logic

 drivers/usb/uhci.c |    5 +++++
 1 files changed, 5 insertions(+)